Subject: bug#65267: 30.0.50; modifying debug-ignored-errors during startup with --debug-init is broken, bug#65267: 30.0.50; modifying debug-ignored-errors during startup with --debug-init is broken

From: Štěpán Němec <[email-masked]>
Date: Thu, 17 Aug 2023 19:27:33 +0200

On Thu, 17 Aug 2023 17:15:03 +0000
Gregory Heytings wrote:

>>> Yes.  This cannot fly, since we had end-of-file there for a long time 
>>> (I see it in Emacs 20).
>>
>> I only wish someone would put forth an actual argument for having 
>> end-of-file on debug-ignored-errors.
>>
>
> See NEWS.19:
>
> ** The variable 'debug-ignored-errors' specifies certain kinds of errors 
> that should not enter the debugger.  Its value is a list of error 
> condition symbols and/or regular expressions.  If the error has any of the 
> condition symbols listed, or if any of the regular expressions matches the 
> error message, then that error does not enter the debugger, regardless of 
> the value of debug-on-error.
>
> This variable is initialized to match certain common but uninteresting 
> errors that happen often during editing.
>
> To see what this means in practice, try:
>
> emacs -Q
> M-: (setq debug-ignored-errors nil) RET
> M-x toggle-debug-on-error RET
> "
> M-x eval-buffer RET

Thank you, but I believe we all knew that, already.  My point has been
that end-of-file doesn't really belong to the "common but uninteresting
errors that happen often during editing", and your example doesn't
change that, no.

I guess I can imagine some kind of
constantly-evaling-buffer-no-matter-what automation, triggered by
examples like yours, leading to annoyance, but I'm not aware of such a
thing (and would consider such automation broken if it existed; surely
it would at least have to be handling end-of-file itself anyway).

-- 
Štěpán